# Get recurrence (/en/docs/cartao/endpoints/recurrences/get_charges_recurrences__recurrentPaymentId_)

## GET /charges/recurrences/{recurrentPaymentId}

`GET https://api.payzu.io/v1/charges/recurrences/{recurrentPaymentId}`

Returns the current state of the recurrence. To list the initial charge and the cycles already generated, use [List Charges](https://docs.payzu.com.br/docs/cartao/endpoints/charges/get_charges) with the `recurrentPaymentId` filter.

### Path params

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | yes | Recurrence id |

### Responses

**200** Successful request

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | no | Recurrence identifier. Use it on the recurrence query and management endpoints |
| `interval` | string | no | Configured interval — `MONTHLY`, `ANNUAL` |
| `status` | string | no | Recurrence status. See [Recurring Payments](https://docs.payzu.com.br/docs/cartao/recurrence) — `ACTIVE`, `INACTIVE`, `ENDED` |
| `amount` | number | no | Amount of each cycle, in cents |
| `nextRecurrency` | string | no | Date of the next automatic charge |
| `endDate` | string | no | End date, if provided at creation |